[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# Bind (deprecated)

Alias for fpBind.

## Declaration

Source position: sockets.pp line 67

`function Bind(`
`Sock: LongInt;`
`const addr: string`
`):Boolean;`

## Description

Bind is an alias for fpBind which binds to either a socket struct (Addr) or a string indicating a UNIX socket file (UNIX socket).

This function is deprecated, use fpBind instead.

## See also

FPBind |  | Bind a socket to an address.